import { AxiosResponse } from 'axios';
interface KerberosConfig {
    apiKey?: string;
    gateKeeperEndpoint?: string;
    appKey: string;
    appSecret: string;
    roleId?: string;
    userToken?: string;
}
export declare class Kerberos {
    apiKey: string;
    appKey: string;
    appSecret: string;
    roleId?: string;
    userToken?: string;
    gateKeeperEndpoint: string;
    constructor({ apiKey, appKey, appSecret, roleId, userToken, gateKeeperEndpoint }: KerberosConfig);
    sendRequest(authenticateOnly?: boolean): Promise<AxiosResponse>;
    authenticateUser(): Promise<any>;
    /**
     * Get permissions for a user based on a permissions list
     *
     * @returns {Object}
     */
    getUserPermissions(): Promise<any>;
}
export {};
